package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.Template;

import java.util.List;

/**
 * 医疗范文 DAO
 */
public interface TemplateService {

    /**
     * 保存医疗范文
     *
     * @param template
     * @return
     */
    int saveTemplate(Template template);

    /**
     * 查询医生自己的，科室和全院的医疗范文  ，不查询内容
     * @param createId
     * @param deptNo
     * @return
     */
    List<Template> queryTemplate(String createId, String deptNo);

    /**
     * 按照id查询
     * @param id
     * @return
     */
    Template queryById(Long id);

}
